Skip to content
Bpanda
Esc
↑↓navigate↵open⌘Jpreview

List the direct parts of an element in the Composition hierarchy.

List the direct parts of an element in the Composition hierarchy. The parts are the elements the given element composes. Each node carries its whole (the given element), depth 1 and whether it has parts itself.

Security: Any user holding a Bpanda licence for the process space.

GET/v1/warehouses/{warehouseId}/architectureElements/{elementId}/hierarchy/children
Authorization
AuthorizationBearer token (JWT) · headerrequired
BpmLicenseAPI key · headerrequired
Path parameters
warehouseIdstringrequired

Warehouse-Id

elementIdstringrequired

Logical id of the element

Responses
200

The direct parts

nodesArchitectureHierarchyNode[]required
Show properties
Array of ArchitectureHierarchyNode
depthinteger<int32>required
elementBasicArchitectureElementrequired
Show properties
conceptualClassArchitectureElementTyperequired
Allowed:ApplicationCollaborationApplicationComponentApplicationEventApplicationFunctionApplicationInteractionApplicationInterfaceApplicationProcessApplicationServiceArchitectureElementArtifactAssessmentBusinessActorBusinessCollaborationBusinessEventBusinessFunctionBusinessInteractionBusinessInterfaceBusinessObjectBusinessProcessBusinessRoleBusinessServiceCapabilityCommunicationNetworkCommunicationPathConstraintContractCourseOfActionDataObjectDeliverableDeviceDistributionNetworkDriverEquipmentFacilityGapGoalGroupingImplementationEventLocationMaterialMeaningNodeOutcomePlateauPrincipleProductRepresentationRequirementResourceStakeholderSystemSoftwareTechnologyCollaborationTechnologyEventTechnologyFunctionTechnologyInteractionTechnologyInterfaceTechnologyProcessTechnologyServiceValueValueStreamWorkPackage
createdHistoryrequired
Show properties
atstringrequired
bystringrequired
elementIdstringrequired
hasPredecessorbooleanrequired
idstringrequired
layerArchitectureElementLayerrequired
Allowed:ApplicationLayerBusinessLayerGenericLayerImplementationAndMigrationLayerMotivationElementsStrategyLayerTechnologyLayer
modifiedHistory
ownersEntityId[]required
Show properties
Array of EntityId
typeEntityIdTyperequired
Allowed:GroupIdOrgRoleIdOrgUnitIdUserId
valuestringrequired
principalIsOwnerbooleanrequired
propertiesBasicArchitectureProperty[]required
Show properties
Array of BasicArchitectureProperty
metaBasicArchitectureMetaPropertyrequired
Show properties
keystringrequired
labelstring
valuestring
publishedHistory
representationRefId
Show properties
typestringrequired
specializationstring
validityStateArchitectureValidityStaterequired
Allowed:DraftInvalidNextUpcomingValid
visibilityVisibilityrequired
Show properties
lastChangeHistoryrequired
visiblebooleanrequired
hasChildrenbooleanrequired
parentElementIdstring
403

The edition of this process space does not include the element's type

string
404

Element not found

string
Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://goto.bpanda.com/api/v1/warehouses/string/architectureElements/string/hierarchy/children' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'BpmLicense: YOUR_API_KEY' \
  -H 'Accept: application/json'
Response
{
  "nodes": [
    {
      "depth": 0,
      "element": {
        "conceptualClass": "ApplicationCollaboration",
        "created": {
          "at": "string",
          "by": "string"
        },
        "elementId": "string",
        "hasPredecessor": true,
        "id": "string",
        "layer": "ApplicationLayer",
        "modified": {
          "at": "string",
          "by": "string"
        },
        "owners": [
          {
            "type": "GroupId",
            "value": "string"
          }
        ],
        "principalIsOwner": true,
        "properties": [
          {
            "meta": {
              "key": "string",
              "label": "string"
            },
            "value": "string"
          }
        ],
        "published": {
          "at": "string",
          "by": "string"
        },
        "representation": {
          "type": "string"
        },
        "specialization": "string",
        "validityState": "Draft",
        "visibility": {
          "lastChange": {
            "at": "string",
            "by": "string"
          },
          "visible": true
        }
      },
      "hasChildren": true,
      "parentElementId": "string"
    }
  ]
}